%define upstream_name PEAR_PackageFileManager_Plugins
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.4
Release:     	%mkrel 3
Summary:    	The plugins for PEAR_PackageFileManager to pick up what files to use, supported are File, CVS, SVN, Perforce
License: 	New BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/PEAR_PackageFileManager_Plugins-%{version}.tgz
URL: 		http://pear.php.net/package/PEAR_PackageFileManager_Plugins
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-XML_Serializer >= 0.19.0
Requires:	php-pear >= 1.8.0
Provides:	php-pear-PackageFileManager_Plugins
BuildArch: noarch

%description
The plugins for PEAR_PackageFileManager to pick up what files to use.
Supported are
* File
* CVS
* SVN
* Perforce

This package is to be used with PackageFileManager v1 and v2 and can't be
used on it's own

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PEAR_PackageFileManager_Plugins.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/PEAR_PackageFileManager_Plugins.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PEAR_PackageFileManager_Plugins
fi

%files
%doc docs/PEAR_PackageFileManager_Plugins/*
%{peardir}/*
%{xmldir}/PEAR_PackageFileManager_Plugins.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1499137
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.4-2.mga7
+ Revision: 1273758
- Mageia 7 Mass Rebuild

* Sun Mar 13 2016 spuhler <spuhler> 1.0.4-1.mga6
+ Revision: 990353
- upgrade to vers. 1.0.4

* Sat Feb 06 2016 umeabot <umeabot> 1.0.2-7.mga6
+ Revision: 941352
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-6.mga5
+ Revision: 739010
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-5.mga5
+ Revision: 687411
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-4.mga4
+ Revision: 517101
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-3.mga3
+ Revision: 377131
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 1.0.2-2.mga2
+ Revision: 196112
- added provides

* Sat Jan 14 2012 spuhler <spuhler> 1.0.2-1.mga2
+ Revision: 196065
- imported package php-pear-PEAR_PackageFileManager_Plugins

